gnutls_heartbeat_ping(3)

NAME
gnutls_heartbeat_ping - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_heartbeat_ping(gnutls_session_t session, size_t data_size, unsigned int max_tries, unsigned int flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t data_size
    is the length of the ping payload.

unsigned int max_tries
    if flags is GNUTLS_HEARTBEAT_WAIT then this sets the number of retransmissions. Use zero for indefinite (until timeout).

unsigned int flags
    if GNUTLS_HEARTBEAT_WAIT then wait for pong or timeout instead of returning immediately.

DESCRIPTION
This function sends a ping to the peer. If the flags is set to GNUTLS_HEARTBEAT_WAIT then it waits for a reply from the peer. Note that it is highly recommended to use this function with the flag GNUTLS_HEARTBEAT_WAIT, or you need to handle retransmissions and timeouts manually.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/